From: <a href="/blend/av.cgi?id=900">RennieLorca</a><BR>
Date: 5 March 2004<P>

Misti~ how did the first get-together in your home turn out ? ..... Rennie
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 5 March 2004<P>

BK<BR>
<a href="/blend/wv.cgi?id=2004.03.04.01.40.21400">Beyond the Blue and Baby It's You</a> <BR>
Both are beautiful!
<HR>
From: <a href="/blend/av.cgi?id=1077">cire nehtrow</a><BR>
Date: 5 March 2004<P>

Mysteriousone07 - I feel it too <a href="/blend/wv.cgi?id=2004.03.04.12.10.29133">Too Many Tears; But I'm Still Here</a> sounded so familiar (just reverse the genders).  Good work and best of luck!  Thanks for sharing...
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 5 March 2004<P>

pam:  i am down here in louisiana (makes me want to break out in song... lol).  do you live in New Orleans itself??  be fun if we could get together...
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 5 March 2004<P>

Rennie~<BR>
It happens tomorrow! Which reminds me, I need to vacuum.<BR>
<BR>
Re: gay marriage...at a casual office party two weeks ago, my manager introduced us to her wife and two kids. I was delighted. I had never met a lesbian couple before. Yes, I've lived a very sheltered Texan life. I loved watching their interaction with each other and with their kids. I think heterosexuals and the Religious Righteous Right in particular feel threatened by gay marriage. Maybe they are afraid that the gays will get it RIGHT. Amen and all the people say it.
<HR>